[Wine] Running .Net Framework Applications error

James Mckenzie jjmckenzie51 at earthlink.net
Thu Jul 30 10:17:25 CDT 2009

>vitamin wrote:
>> manekurt wrote:
>> > So, I installed Wine succesfully, and .Net framework 2.0 and SP1 too. Everything was fine, installed and running. No errores.
>> You need to use winetricks to install .net. Wine has several dlls that have to be overriden to native.
>Thank for your reply. After reading it, I installed winetricks. But after it, the same error, nothing new.
>I downloaded the winetricks, and "sh winetricks corefonts vcrun6".
>Everything seemed to be fine, and then I tried to execute the "test.exe" in the same way I did it before "wine test.exe" and the same error came.
You need to start with a new Wine file installation area.  

mv $HOME/.wine[,.backup]
wine notepad
{exit the notepad application}
sh winetricks corefonts vcrun6 dotnet20

Install your .Net 2.0 program and attempt to run it.  You should not receive the "Wine requires Mono" message.

James McKenzie

More information about the wine-users mailing list